
Redmine - Defect #14595

CSV don't use filter for some users

2013-08-01 11:33 - Johan Guilbaud

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.2.3

Description

Hello

Fisrt sorry for my bad english it's not my native language

I have a bug about CSV export with filters for some users

tests i made :

myaccount : admin

the user is manager of his projects

When go on Issues page there is 700 issues

After applying a filter there is 200 issues

when the user export in CSV he get 700issues  => CSV have not used filters

if i export issues in CSV with my admin account i get the 200 issues shown on the web page

we've made the tests on 2 computers (Windows Seven with Firefox 16)

thanks for helping

--------------------------------------------------------------------

=> Redmine is on a RHEL6 with Apache 2 & mod_passenger

Environment:

Redmine version                          2.2.3.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.12

Environment                              production

Database adapter                         MySQL

Redmine plugins:

redmine_charts2                          0.2.1

redmine_default_columns                  0.1.1

redmine_wiki_unc                         0.0.3

History

#1 - 2013-08-01 12:48 - Toshi MARUYAMA

- Category set to Issues

#2 - 2013-08-08 09:58 - Thomas Godard

Tried to reproduce without success on environment:

  Redmine version                          2.3.1.stable

  Ruby version                             1.9.3 (x86_64-linux)

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         Mysql2

Redmine plugins:

  no plugin installed
 Tried 4 different users with 4 different roles.

#3 - 2013-08-08 10:47 - Johan Guilbaud

i use version 2.2.3 I'm not surprised there is differences with 2.3.1...

#4 - 2013-08-08 11:02 - Thomas Godard

Maybe this revision made the difference : r11441 : Custom field float separator in CSV export.

#5 - 2013-09-09 15:10 - Johan Guilbaud

Your revision is for branche 1.3 and we use 1.2 ...

and why it works for me and not for other user ?

thans to help, our users are angry...

#6 - 2014-04-23 15:01 - Johan Guilbaud

- Status changed from New to Resolved

Maybe It was caused by a plugin

#7 - 2014-05-13 07:51 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Thank you for your feedback.
